Bug 752993 - gnome-dictionary - A dictionary application for GNOME
gnome-dictionary - A dictionary application for GNOME
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ryan H. Lewis (rhl)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 19:44 EST by Matthias Clasen
Modified: 2011-12-27 13:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-27 13:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2011-11-10 19:44:22 EST
gnome-dictionary lets you look up words in dictionary sources.
gnome-dictionary used to be part of gnome-utils.
I haven't added the necessary Obsoletes yet to deal with upgrade situations.

srpm: http://mclasen.fedorapeople.org/gnome-dictionary-3.3.2-1.fc16.src.rpm
spec: http://mclasen.fedorapeople.org/gnome-dictionary.spec
Comment 1 Ryan H. Lewis (rhl) 2011-11-12 22:39:33 EST
Hi, if you fix the problem with the obsoletes I would be happy to finish this review, I have checked everything already and it seems to be kosher sans that gnome-utils already provides some files:

Transaction Check Error:
  file /usr/lib64/libgdict-1.0.so.6.0.7 from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-libs-1:3.2.1-2.fc16.x86_64
  file /usr/bin/gnome-dictionary from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/applications/gnome-dictionary.desktop from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/gdict-1.0/sources/default.desktop from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/glib-2.0/schemas/org.gnome.dictionary.gschema.xml from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
Comment 2 Matthias Clasen 2011-11-14 13:38:15 EST
Hey, I've uploaded new spec and srpm to the same place.

Changes:
- added Obsoletes
- added %doc content
- fixed up scriplets
Comment 3 Matthias Clasen 2011-12-21 09:08:48 EST
Any update ?
Comment 4 Ryan H. Lewis (rhl) 2011-12-21 11:19:27 EST
I'm so sorry. I thought I had posted a month or so ago. the files on fedorapeople still don't fix the problem. I still seem to get:

Transaction Check Error:
  file /usr/lib64/libgdict-1.0.so.6.0.7 from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-libs-1:3.2.1-2.fc16.x86_64
  file /usr/bin/gnome-dictionary from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/applications/gnome-dictionary.desktop from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/gdict-1.0/sources/default.desktop from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
  file /usr/share/glib-2.0/schemas/org.gnome.dictionary.gschema.xml from install of gnome-dictionary-3.3.2-1.fc16.x86_64 conflicts with file from package gnome-utils-1:3.2.1-2.fc16.x86_64
Comment 5 Matthias Clasen 2011-12-21 11:35:17 EST
See my initial comment:

I haven't added the necessary Obsoletes yet to deal with upgrade situations.

Let me produce a package with the Obsoletes, if that makes things easier for you.
Comment 6 Matthias Clasen 2011-12-21 11:48:00 EST
I've put up new srpm/spec (same location), which has obsoletes for all gnome-utils subpackages.
Comment 8 Matthias Clasen 2011-12-21 12:54:15 EST
I've fixed the obsoletes to take the epoch into account now (files in the same spot)
Comment 9 Ryan H. Lewis (rhl) 2011-12-21 13:42:19 EST
Everything looks good, the packages build, compile, and run as expected.

Can you provide a successful scratch build?

Here is the output of rpmlint, you might think about fixing the FSF address to the correct new address: `51 Franklin Street  Boston, MA 02110`

$ rpmlint -v gnome-dictionary.spec
gnome-dictionary.spec: I: checking-url http://download.gnome.org/sources/gnome-dictionary/3.3/gnome-dictionary-3.3.2.tar.xz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -v gnome-dictionary-3.3.2-2.fc16.src.rpm 
gnome-dictionary.src: I: checking
gnome-dictionary.src: I: checking-url http://www.gnome.org/ (timeout 10 seconds)
gnome-dictionary.src: I: checking-url http://download.gnome.org/sources/gnome-dictionary/3.3/gnome-dictionary-3.3.2.tar.xz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ ls
gnome-dictionary-3.3.2-2.fc16.x86_64.rpm            gnome-dictionary-devel-3.3.2-2.fc16.x86_64.rpm
gnome-dictionary-debuginfo-3.3.2-2.fc16.x86_64.rpm
$ rpmlint -v *
gnome-dictionary.x86_64: I: checking
gnome-dictionary.x86_64: I: checking-url http://www.gnome.org/ (timeout 10 seconds)
gnome-dictionary.x86_64: W: obsolete-not-provided gnome-utils
gnome-dictionary.x86_64: W: obsolete-not-provided gnome-utils-libs
gnome-dictionary.x86_64: W: obsolete-not-provided gnome-utils-devel
gnome-dictionary.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-dictionary-3.3.2/COPYING.docs
gnome-dictionary.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-dictionary-3.3.2/COPYING.libs
gnome-dictionary.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-dictionary-3.3.2/COPYING
gnome-dictionary-debuginfo.x86_64: I: checking
gnome-dictionary-debuginfo.x86_64: I: checking-url http://www.gnome.org/ (timeout 10 seconds)
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-pref-dialog.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-common.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-pref-dialog.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-source-dialog.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-source-dialog.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-common.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-window.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-about.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-about.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-app.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-app.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-print.h
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-window.c
gnome-dictionary-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-dictionary-3.3.2/src/gdict-print.c
gnome-dictionary-devel.x86_64: I: checking
gnome-dictionary-devel.x86_64: W: spelling-error Summary(en_US) libgdict -> Benedict
gnome-dictionary-devel.x86_64: W: spelling-error %description -l en_US libgdict -> Benedict
gnome-dictionary-devel.x86_64: I: checking-url http://www.gnome.org/ (timeout 10 seconds)
3 packages and 0 specfiles checked; 17 errors, 5 warnings.

Otherwise
Comment 10 Matthias Clasen 2011-12-21 21:18:19 EST
Filed a bug about the fsf address, not going to carry a patch for that:
https://bugzilla.gnome.org/show_bug.cgi?id=666702

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3600282
Comment 11 Ryan H. Lewis (rhl) 2011-12-21 23:57:50 EST
OK! this package is approved.
Comment 12 Matthias Clasen 2011-12-22 09:01:20 EST
New Package SCM Request
=======================
Package Name: gnome-dictionary
Short Description: A dictionary application for GNOME 
Owners: mclasen cosimoc
Branches: 
InitialCC:
Comment 13 Gwyn Ciesla 2011-12-22 09:22:20 EST
Git done (by process-git-requests).
Comment 14 Matthias Clasen 2011-12-27 13:57:09 EST
build done

Note You need to log in before you can comment on or make changes to this bug.